| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Static Public Member Functions | List of all members
GlsSphere Class Reference
Inheritance diagram for GlsSphere:

## Public Member Functions
| GlsSphere ()
| GlsSphere (GlsSphere &src)
| GlsSphere (float x, float y, float z)
void | StackStartAngle (float deg)
float | StackStartAngle ()
void | StackEndAngle (float deg)
float | StackEndAngle ()
void | SliceStartAngle (float deg)
float | SliceStartAngle ()
void | SliceEndAngle (float deg)
float | SliceEndAngle ()
void | Slices (unsigned int slices)
unsigned int | Slices ()
void | Stacks (unsigned int stacks)
unsigned int | Stacks ()
void | GetRadii (Vector &r1, Vector &r2, Vector &r3)
void | SetRadii (Vector &r1, Vector &r2, Vector &r3)
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsSphere * | CastToGlsSphere (DisplayObject *obj)

## Additional Inherited Members
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Class that encapsulates a GlsSphere.

## Constructor & Destructor Documentation

## ◆ GlsSphere() [1/3]

GlsSphere::GlsSphere | ( |  | ) |

Constructor.

Creates a new GlsSphere object at the origin.

## ◆ GlsSphere() [2/3]

GlsSphere::GlsSphere | ( | GlsSphere & | src | ) |

Copy constructor.

Creates a new reference to an existing GlsSphere.

Parameters

  src | The GlsSphere to reference

## ◆ GlsSphere() [3/3]

GlsSphere::GlsSphere | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

Constructor.

Creates a new GlsSphere object at given coordinates.

Parameters

  x | x-coordinate of new GlsSphere
  y | y-coordinate of new GlsSphere
  z | z-coordinate of new GlsSphere

## Member Function Documentation

## ◆ CastToGlsSphere()

static GlsSphere * GlsSphere::CastToGlsSphere | ( | DisplayObject * | obj | ) |
| static

Casts a display object to a sphere.

Parameters

  obj | The display object to cast.

## ◆ GetRadii()

void GlsSphere::GetRadii | ( | Vector & | r1,
|  | Vector & | r2,
|  | Vector & | r3
| ) |  |

Gets the radii vectors for the sphere.

Parameters

  r1 | First radius vector (width)
  r2 | Second radius vector (height)
  r3 | Third radius vector (depth)

## ◆ SetRadii()

void GlsSphere::SetRadii | ( | Vector & | r1,
|  | Vector & | r2,
|  | Vector & | r3
| ) |  |

Sets the radii vectors for the sphere.

Parameters

  r1 | First radius vector (width)
  r2 | Second radius vector (height)
  r3 | Third radius vector (depth)

## ◆ SliceEndAngle() [1/2]

float GlsSphere::SliceEndAngle | ( |  | ) |

Gets the ending degree value for the slices.

Returns
  The slice ending degree value

## ◆ SliceEndAngle() [2/2]

void GlsSphere::SliceEndAngle | ( | float | deg | ) |

Sets the ending degree value for the slices.

Parameters

  deg | The new slice ending degree value

## ◆ Slices() [1/2]

unsigned int GlsSphere::Slices | ( |  | ) |

Gets the number of horizontal slices.

Returns
  The current number of horizontal slices

## ◆ Slices() [2/2]

void GlsSphere::Slices | ( | unsigned int | slices | ) |

Sets the number of horizontal slices.

Parameters

  slices | The desired number of horizontal slices

## ◆ SliceStartAngle() [1/2]

float GlsSphere::SliceStartAngle | ( |  | ) |

Gets the starting degree value for the slices.

Returns
  The slice starting degree value

## ◆ SliceStartAngle() [2/2]

void GlsSphere::SliceStartAngle | ( | float | deg | ) |

Sets the starting degree value for the slices.

Parameters

  deg | The new slice starting degree value

## ◆ StackEndAngle() [1/2]

float GlsSphere::StackEndAngle | ( |  | ) |

Gets the ending degree value for the stacks.

Returns
  The stack ending degree value

## ◆ StackEndAngle() [2/2]

void GlsSphere::StackEndAngle | ( | float | deg | ) |

Sets the ending degree value for the stacks.

Parameters

  deg | The new stack ending degree value

## ◆ Stacks() [1/2]

unsigned int GlsSphere::Stacks | ( |  | ) |

Gets the number of vertical stacks.

Returns
  The current number of vertical stacks

## ◆ Stacks() [2/2]

void GlsSphere::Stacks | ( | unsigned int | stacks | ) |

Sets the number of vertical stacks.

Parameters

  stacks | The desired number of vertical stacks

## ◆ StackStartAngle() [1/2]

float GlsSphere::StackStartAngle | ( |  | ) |

Gets the starting degree value for the stacks.

Returns
  The stack starting degree value

## ◆ StackStartAngle() [2/2]

void GlsSphere::StackStartAngle | ( | float | deg | ) |

Sets the starting degree value for the stacks.

Parameters

  deg | The new stack starting degree value

The documentation for this class was generated from the following file:

- GlsSphere.i